org.eclipse.net4j.http.server

## Interface IHTTPAcceptor

- All Superinterfaces:
    Closeable, IAcceptor, IContainer<IConnector>, INotifier

      public interface IHTTPAcceptor
      extends IAcceptor

  An `acceptor` that implements HTTP transport by collaborating with a configured `servlet`.
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `IContainer.Modifiable<E>, IContainer.Persistable<E>, IContainer.Persistence<E>`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `INet4jTransportServlet` | `getServlet()`
    `void` | `setServlet(INet4jTransportServlet servlet)`

    - ### Methods inherited from interface org.eclipse.net4j.acceptor.IAcceptor

      `getAcceptedConnectors`

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

    - ### Methods inherited from interface org.eclipse.net4j.util.collection.Closeable

      `close, isClosed`

- - ### Method Detail

    - #### getServlet

          INet4jTransportServlet getServlet()

    - #### setServlet

          void setServlet(INet4jTransportServlet servlet)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html